
(define mred:show-busy-cursor
  (lambda (thunk)
    (dynamic-wind
     (lambda ()
       (wx:begin-busy-cursor))
     thunk
     (lambda ()
       (wx:end-busy-cursor)))))
(constant mred:show-busy-cursor)

(define mred:get-choice
  (opt-lambda (message true-choice false-choice)
    (let* ([result (void)]
	   [dialog%
	    (make-class wx:dialog-box%
	      (inherit show new-line fit tab)
	      (private
		[on-true
		 (lambda args
		   (set! result #t)
		   (show #f))]
		[on-false
		 (lambda rags
		   (set! result #f)
		   (show #f))])
	      (lambda ()
		(super-init () "Warning" #t)
		(let ([msg (make-object wx:message% this message)])
		  (new-line)
		  
		  (make-object wx:button% this
			       on-true true-choice)
		  (tab 50)
		  (make-object wx:button% this on-false false-choice)
		  (fit)
		  
		  (send msg center wx:const-horizontal))
		
		(show #t)))])
      (make-object dialog%)
      result)))
(constant mred:get-choice)

