
#include "wx_canvs.h"

@INCLUDE wxs.xci

@HEADER

@CLASSBASE wxCanvas "wx:canvas":"wx:window"

// @CREATOR ();
@CREATOR (wxFrame!,int=-1,int=-1,int=-1,int=-1,long=wxRETAINED,string="canvas")

// @ "create" : void Create(wxFrame!,int=-1,int=-1,int=-1,int=-1,long=wxRETAINED,string="canvas")

@ "allow-double-click" : void AllowDoubleClick(bool);
@ "enable-scrolling" : void EnableScrolling(bool,bool);

// Override wx-window:
@ "set-size" : void SetSize(int,int,int,int);
@ "set-client-size" : void SetClientSize(int,int);
@ "get-size" : void GetSize(int*,int*);
@ "get-client-size" : void GetClientSize(int*,int*);
@ "get-position" : void GetPosition(int*,int*);

@ "get-dc" : wxCanvasDC! GetDC();
@ "get-scroll-units-per-page" : void GetScrollUnitsPerPage(int*,int*);
@ "get-virtual-size" : void GetVirtualSize(int*,int*);
@ "is-retained?" : bool IsRetained();
@ "set-scrollbars" : void SetScrollbars(int,int,int,int,int,int,int=0,int=0,bool=TRUE);
@ "view-start" : void ViewStart(int*,int*);
@ "warp-pointer" : void WarpPointer(int,int);

@ "scroll" : void Scroll(int,int);

@INCLUDE wxs_win.xci

@INCLUDE wxs_draw.xci

@CONSTANT "wx:const-border" : long wxBORDER
@CONSTANT "wx:const-retained" : long wxRETAINED
@CONSTANT "wx:const-backingstore" : long wxBACKINGSTORE

@END
