
(define mred:exit-callbacks '())
	 
(define mred:insert-exit-callback
  (lambda (f)
    (set! mred:exit-callbacks (cons f mred:exit-callbacks))
    f))

(define mred:remove-exit-callback
  (lambda (cb)
    (set! mred:exit-callbacks
	  (let loop ([cb-list mred:exit-callbacks])
	    (cond
	     [(null? cb-list) ()]
	     [(eq? cb (car cb-list)) (cdr cb-list)]
	     [else (cons (car cb-list) (loop (cdr cb-list)))])))))

(define mred:std-exit
  (lambda ()
    (set! mred:exit-callbacks
	  (let loop ([cb-list mred:exit-callbacks])
	    (cond
	     [(null? cb-list) ()]
	     [(not ((car cb-list))) cb-list]
	     [else (loop (cdr cb-list))])))
    (if (null? mred:exit-callbacks)
	(begin (exit) #t)
	#f)))

(constant mred:insert-exit-callback)
(constant mred:remove-exit-callback)
(constant mred:std-exit)

(define mred:exit mred:std-exit)
