
#include "wx_frame.h"

@INCLUDE wxs.xci

@HEADER

@CLASSBASE wxFrame "wx:frame":"wx:window"

@CLASSID wxTYPE_FRAME

@CREATOR (wxFrame^, string, int = -1, int = -1, int = -1, int = -1, long = wxDEFAULT_FRAME, string = "frame")

// @ "create" : void Create(wxFrame^, string, int = -1, int = -1, int = -1, int = -1, long = wxDEFAULT_FRAME, string = "frame")

// @ "destroy" : void QuasiDelete();

@ "get-title" : string GetTitle();
@ "iconize" : void Iconize(bool);
@ "set-icon" : void SetIcon(wxIcon!);
@ "set-menu-bar" : void SetMenuBar(wxMenuBar^)
@IVAR r "menu-bar" : wxMenuBar^ wx_menu_bar
// @ "set-tool-bar" : void SetMenuBar(wxToolBar^)
@ "set-status-text" : void SetStatusText(string);
@ "iconized?" : bool Iconized();
@ "status-line-exists?" : bool StatusLineExists();
@ "maximize" : void Maximize(bool)
@ "load-accelerators" : void LoadAccelerators(string);
@ "create-status-line" : void CreateStatusLine(int = 1, string = "status_line")

@ v "command" : void Command(int);
@ v "on-activate" : void OnActivate(bool);
@ v "on-close" : bool OnClose(); : : : TRUE
@ v "on-menu-command" : void OnMenuCommand(int)
@ v "on-menu-select" : void OnMenuSelect(int)

@INCLUDE wxs_win.xci

// Overriding wxWindow:
@ "set-size" : void SetSize(int,int,int,int);
@ "set-client-size" : void SetClientSize(int,int);
@ "get-size" : void GetSize(int*,int*);
@ "get-client-size" : void GetClientSize(int*,int*);
@ "get-position" : void GetPosition(int*,int*);
@ "set-title" : void SetTitle(string);
@ "show" : void Show(bool);
@ "centre" : void Centre(int=wxBOTH);
@ "fit" : void Fit();
@ "get-title" : string GetTitle();
@ "capture-mouse" : void CaptureMouse();
@ "release-mouse" : void ReleaseMouse();

// Don't exist anymore?
// @ "create-tool-panel" : wxPanel! CreateToolPanel(int=wxTOOL_TOP);
// @ "fit-tool-panel" : void FitToolPanel();
// @ "show-tool-panel" : void ShowToolPanel(bool);

@MACRO TRUE = return TRUE;

@CONSTANT "wx:const-stay-on-top" : long wxSTAY_ON_TOP
@CONSTANT "wx:const-iconize" : long wxICONIZE
@CONSTANT "wx:const-minimize" : long wxMINIMIZE
@CONSTANT "wx:const-maximize" : long wxMAXIMIZE
@CONSTANT "wx:const-sdi" : long wxSDI
@CONSTANT "wx:const-mdi-parent" : long wxMDI_PARENT
@CONSTANT "wx:const-mdi-child" : long wxMDI_CHILD
@CONSTANT "wx:const-thick-frame" : long wxTHICK_FRAME
@CONSTANT "wx:const-system-menu" : long wxSYSTEM_MENU
@CONSTANT "wx:const-minimize-box" : long wxMINIMIZE_BOX
@CONSTANT "wx:const-maximize-box" : long wxMAXIMIZE_BOX
@CONSTANT "wx:const-tiny-caption-horiz" : long wxTINY_CAPTION_HORIZ
@CONSTANT "wx:const-tiny-caption-vert" : long wxTINY_CAPTION_VERT
@CONSTANT "wx:const-resize-box" : long wxRESIZE_BOX
@CONSTANT "wx:const-resize-border" : long wxRESIZE_BORDER
@CONSTANT "wx:const-default-frame" : long wxDEFAULT_FRAME

@CONSTANT "wx:const-both" : int wxBOTH
@CONSTANT "wx:const-horizontal" : int wxHORIZONTAL
@CONSTANT "wx:const-vertical" : int wxVERTICAL

@END
