
#include "wx.h"
#include "wx_medio.h"

@INCLUDE wxs.xci

@HEADER

@MACRO rZERO = return 0;

@CLASSBASE wxMediaStreamInBase "wx:media-stream-in-base" : "wx:object"

@ V "tell" : long Tell(); : : : rZERO
@ V "seek" : void Seek(long);
@ V "skip" : void Skip(long);
@ V "bad?" : bool Bad(); : : : rZERO
// @ V "read" : long Read(char[],long); : : : rZERO
@END

@CLASSBASE wxMediaStreamOutBase "wx:media-stream-out-base" : "wx:object"

@ V "tell" : long Tell(); : : : rZERO
@ V "seek" : void Seek(long);
@ V "bad?" : bool Bad(); : : : rZERO
// @ V "write" : long Write(char[],long); : : : rZERO
@END


@CLASSBASE wxMediaStreamIn "wx:media-stream-in" : "wx:object"

@CREATOR (wxMediaStreamInBase%);
  
// This is too dangerous: it is going away
@ "get" : wxMediaStreamIn% Get(long*////long,string);

@ "get" : wxMediaStreamIn% Get(Long+////long);
@ "get" : wxMediaStreamIn% Get(Double+);
// @ "get" : wxMediaStreamIn% Get(short+);
// @ "get" : wxMediaStreamIn% Get(int+);
// @ "get" : wxMediaStreamIn% Get(char+);
// @ "get" : wxMediaStreamIn% Get(float+);

@ "get-string" : nstring GetString(long?=NULL);
@ "get-fixed" : wxMediaStreamIn% GetFixed(long+);

@ ">>" : wxMediaStreamIn% operator>>(Long+);
@ ">>" : wxMediaStreamIn% operator>>(Double+);
// @ ">>" : wxMediaStreamIn% operator>>(short+);
// @ ">>" : wxMediaStreamIn% operator>>(int+);
// @ ">>" : wxMediaStreamIn% operator>>(char+);
// @ ">>" : wxMediaStreamIn% operator>>(float+);

@ "set-boundary" : void SetBoundary(long);
@ "remove-boundary" : void RemoveBoundary();

@ "skip" : void Skip(long);
@ "tell" : long Tell();
@ "jump-to" : void JumpTo(long);

@ "ok?" : bool Ok();

@END


@CLASSBASE wxMediaStreamOut "wx:media-stream-out" : "wx:object"

@CREATOR (wxMediaStreamOutBase%);

@ "put" : wxMediaStreamOut% Put(long////long,string);
@ "put" : wxMediaStreamOut% Put(string);
@ "put" : wxMediaStreamOut% Put(Long////long);
@ "put" : wxMediaStreamOut% Put(Double);
// @ "put" : wxMediaStreamOut% Put(short);
// @ "put" : wxMediaStreamOut% Put(int);
// @ "put" : wxMediaStreamOut% Put(char);
// @ "put" : wxMediaStreamOut% Put(float);

@ "put-fixed" : wxMediaStreamOut% PutFixed(long);

@ "<<" : wxMediaStreamOut% operator<<(string);
@ "<<" : wxMediaStreamOut% operator<<(Double);
@ "<<" : wxMediaStreamOut% operator<<(Long);
// @ "<<" : wxMediaStreamOut% operator<<(short);
// @ "<<" : wxMediaStreamOut% operator<<(int);
// @ "<<" : wxMediaStreamOut% operator<<(byte);
// @ "<<" : wxMediaStreamOut% operator<<(float);

@ "tell" : long Tell();
@ "jump-to" : void JumpTo(long);

@ "ok?" : bool Ok();

@END

