 

#include "wx_win.h"

@INCLUDE wxs.xci

@HEADER

@CLASSBASE wxWindow "wx:window":"wx:object"

@CREATOR ();

@ "centre" : void Centre(int = wxBOTH);

@ "make-modal" : void MakeModal(bool);
@ "popup-menu" : bool PopupMenu(wxMenu!, float, float);
@ "set-focus" : void SetFocus();
@ "set-size" : void SetSize(int,int,int,int);
@ "set-client-size" : void SetClientSize(int,int);
@ "set-colour-map" : void SetColourMap(wxColourMap!);
@ "set-cursor" : void SetCursor(wxCursor!);
@ "show" : void Show(bool);
@ "fit" : void Fit();
@ "get-size" : void GetSize(int*,int*);
@ "get-client-size" : void GetClientSize(int*,int*);
@ "get-position" : void GetPosition(int*,int*);
@ "enable" : void Enable(bool);

@ "set-title" : void SetTitle(string);
@ "get-char-height" : float GetCharHeight();
@ "get-char-width" : float GetCharWidth();
@ "client-to-screen" : void ClientToScreen(int*, int*);
// Destruction not allowed in wxScheme:
// @ "destroy-children" : void DestroyChildren();
@ "drag-accept-files" : void DragAcceptFiles(bool);
@ "add-child" : void AddChild(wxWindow!);
@ "capture-mouse" : void CaptureMouse();
@ "screen-to-client" : void ScreenToClient(int*,int*);
@ "refresh" : void Refresh();
@ "release-mouse" : void ReleaseMouse();
@ "get-parent" : wxWindow^ GetParent();
@ "get-text-extent" : void GetTextExtent(string,float*,float*,float?=NULL,float?=NULL,wxFont^=NULL,bool=FALSE);
@ "get-children" : wxList! GetChildren();
@ "get-grand-parent" : wxWindow^ GetGrandParent();
@ "get-label" : string GetLabel();
@ "center" : void Center(int);
@ "make-modal" : void MakeModal(bool);

@ "set-constraints" : void SetConstraints(wxLayoutConstraints^);
@ "get-constraints" : wxLayoutConstraints^ GetConstraints();
@ "layout" : void Layout();

@ "get-user-edit-mode" : bool GetUserEditMode();
@ "set-user-edit-mode" : void SetUserEditMode(bool);

@SETMARK v = V
@INCLUDE wxs_win.xci

// wxExtend:
// @ "get-width" : int GetWidth();
// @ "get-height" : int GetHeight();
// @ "get-client-width" : int GetWidth();
// @ "get-client-height" : int GetHeight();
// @ "get-x" : int GetX();
// @ "get-y" : int GetY();

@END
